Index: extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/PreferencesDialog.java
===================================================================
--- extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/PreferencesDialog.java	(revision 6831)
+++ extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/PreferencesDialog.java	(revision 6831)
@@ -0,0 +1,195 @@
+package fr.mael.jiwigo.ui.mainframe;
+
+import java.awt.BorderLayout;
+import java.awt.Dimension;
+import java.awt.FlowLayout;
+import java.awt.GridBagConstraints;
+import java.awt.GridBagLayout;
+import java.awt.event.ActionEvent;
+import java.awt.event.ActionListener;
+
+import javax.swing.JButton;
+import javax.swing.JDialog;
+import javax.swing.JFrame;
+import javax.swing.JLabel;
+import javax.swing.JOptionPane;
+import javax.swing.JPanel;
+import javax.swing.JTabbedPane;
+import javax.swing.JTextField;
+
+import fr.mael.jiwigo.transverse.enumeration.PreferencesEnum;
+import fr.mael.jiwigo.transverse.util.Messages;
+import fr.mael.jiwigo.transverse.util.preferences.PreferencesManagement;
+
+/**
+ * 
+   Copyright (c) 2010, Mael
+   All rights reserved.
+
+   Redistribution and use in source and binary forms, with or without
+   modification, are permitted provided that the following conditions are met:
+    * Redistributions of source code must retain the above copyright
+      notice, this list of conditions and the following disclaimer.
+    * Redistributions in binary form must reproduce the above copyright
+      notice, this list of conditions and the following disclaimer in the
+      documentation and/or other materials provided with the distribution.
+    * Neither the name of jiwigo nor the
+      names of its contributors may be used to endorse or promote products
+      derived from this software without specific prior written permission.
+
+   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
+   ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+   WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+   DISCLAIMED. IN NO EVENT SHALL Mael BE LIABLE FOR ANY
+   DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+   (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+   LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+   ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+   (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+   SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+   
+ * @author mael
+ *
+ */
+public class PreferencesDialog extends JDialog implements ActionListener {
+
+    /**
+     * Logger
+     */
+    public static final org.apache.commons.logging.Log LOG = org.apache.commons.logging.LogFactory
+	    .getLog(PreferencesDialog.class);
+
+    /**
+     * Les onglets
+     */
+    private JTabbedPane tabPane;
+
+    /**
+     * l'onglet de gestion des preferences des images
+     */
+    private JPanel panelImage;
+
+    /**
+     * largeur des images
+     */
+    private JTextField fieldWidth;
+
+    /**
+     * hauteur des images
+     */
+    private JTextField fieldHeight;
+
+    /**
+     * taille des morceaux
+     */
+    private JTextField fieldChunkSize;
+
+    /**
+     * label
+     */
+    private JLabel labelTaille;
+
+    /**
+     * label
+     */
+    private JLabel labelChunkSize;
+
+    /**
+     * label
+     */
+    private JLabel labelCroix;
+
+    /**
+     * bouton d'enregistrement des preferences
+     */
+    private JButton boutonOk = new JButton("Ok");
+
+    /**
+     * panel contenant les boutons
+     */
+    private JPanel panelBoutons;
+
+    /**
+     * bouton pour annuler 
+     */
+    private JButton boutonAnnuler;
+
+    /**
+     * Constructeur
+     * @param parent frame parent
+     */
+    public PreferencesDialog(JFrame parent) {
+	fieldWidth = new JTextField(PreferencesManagement.getValue(PreferencesEnum.WIDTH_ORIGINALE.getLabel()));
+	fieldHeight = new JTextField(PreferencesManagement.getValue(PreferencesEnum.HEIGHT_ORIGINAL.getLabel()));
+	fieldChunkSize = new JTextField(PreferencesManagement.getValue(PreferencesEnum.CHUNK_SIZE.getLabel()));
+	labelTaille = new JLabel(Messages.getMessage("preferences_imagesSize"));
+	labelCroix = new JLabel("x");
+	labelChunkSize = new JLabel(Messages.getMessage("preferences_chunkSize"));
+	fieldWidth.setPreferredSize(new Dimension(50, 30));
+	fieldHeight.setPreferredSize(new Dimension(50, 30));
+	fieldChunkSize.setPreferredSize(new Dimension(50, 30));
+
+	panelImage = new JPanel(new GridBagLayout());
+	GridBagConstraints c = new GridBagConstraints();
+	c.gridx = 0;
+	c.gridy = 0;
+	c.anchor = GridBagConstraints.WEST;
+	panelImage.add(labelTaille, c);
+	c.gridx++;
+	panelImage.add(fieldWidth, c);
+	c.gridx++;
+	panelImage.add(labelCroix, c);
+	c.gridx++;
+	panelImage.add(fieldHeight, c);
+	c.gridy++;
+	c.gridx = 0;
+	panelImage.add(labelChunkSize, c);
+	c.gridx++;
+	panelImage.add(fieldChunkSize, c);
+
+	boutonAnnuler = new JButton(Messages.getMessage("cancel"));
+	boutonAnnuler.addActionListener(this);
+	boutonOk.addActionListener(this);
+	panelBoutons = new JPanel(new FlowLayout(FlowLayout.RIGHT));
+	panelBoutons.add(boutonOk);
+	panelBoutons.add(boutonAnnuler);
+	boutonOk.setPreferredSize(new Dimension(90, 30));
+	boutonAnnuler.setPreferredSize(new Dimension(90, 30));
+
+	tabPane = new JTabbedPane();
+	tabPane.addTab(Messages.getMessage("preferences_tabImage"), panelImage);
+	this.setLayout(new BorderLayout());
+	this.add(tabPane, BorderLayout.CENTER);
+	this.add(panelBoutons, BorderLayout.SOUTH);
+	this.setSize(new Dimension(400, 300));
+	this.setLocationRelativeTo(null);
+	this.setVisible(true);
+    }
+
+    @Override
+    public void actionPerformed(ActionEvent e) {
+	if (e.getSource().equals(boutonAnnuler)) {
+	    this.dispose();
+	} else if (e.getSource().equals(boutonOk)) {
+	    try {
+		int width = Integer.valueOf(fieldWidth.getText());
+		int height = Integer.valueOf(fieldHeight.getText());
+		double chunk = Double.parseDouble(fieldChunkSize.getText().replace(",", "."));
+		PreferencesManagement.setValue(PreferencesEnum.WIDTH_ORIGINALE.getLabel(), String.valueOf(width));
+		PreferencesManagement.setValue(PreferencesEnum.HEIGHT_ORIGINAL.getLabel(), String.valueOf(height));
+		PreferencesManagement.setValue(PreferencesEnum.CHUNK_SIZE.getLabel(), String.valueOf(chunk));
+		this.dispose();
+	    } catch (NumberFormatException ex) {
+		ex.printStackTrace();
+		JOptionPane.showMessageDialog(this, Messages.getMessage("preferencesCheckValues"), Messages
+			.getMessage("error"), JOptionPane.ERROR_MESSAGE);
+	    } catch (Exception ex) {
+		JOptionPane.showMessageDialog(this, Messages.getMessage("preferencesUnexpectedError"), Messages
+			.getMessage("error"), JOptionPane.ERROR_MESSAGE);
+
+	    }
+
+	}
+
+    }
+}
Index: extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailCategoryPanel.java
===================================================================
--- extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailCategoryPanel.java	(revision 6831)
+++ extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailCategoryPanel.java	(revision 6831)
@@ -0,0 +1,129 @@
+package fr.mael.jiwigo.ui.mainframe;
+
+import java.awt.Dimension;
+import java.awt.FlowLayout;
+
+import javax.swing.JOptionPane;
+import javax.swing.JPanel;
+
+import fr.mael.jiwigo.om.Image;
+import fr.mael.jiwigo.service.ImageService;
+import fr.mael.jiwigo.transverse.util.Messages;
+import fr.mael.jiwigo.transverse.util.Outil;
+import fr.mael.jiwigo.transverse.util.filedrop.FileDrop;
+import fr.mael.jiwigo.ui.ImagesManagement;
+
+/**
+   Copyright (c) 2010, Mael
+   All rights reserved.
+
+   Redistribution and use in source and binary forms, with or without
+   modification, are permitted provided that the following conditions are met:
+    * Redistributions of source code must retain the above copyright
+      notice, this list of conditions and the following disclaimer.
+    * Redistributions in binary form must reproduce the above copyright
+      notice, this list of conditions and the following disclaimer in the
+      documentation and/or other materials provided with the distribution.
+    * Neither the name of jiwigo nor the
+      names of its contributors may be used to endorse or promote products
+      derived from this software without specific prior written permission.
+
+   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
+   ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+   WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+   DISCLAIMED. IN NO EVENT SHALL Mael BE LIABLE FOR ANY
+   DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+   (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+   LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+   ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+   (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+   SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+   
+ * @author mael
+ * Classe qui affiche toutes les miniatures d'une catégorie
+ */
+public class ThumbnailCategoryPanel extends JPanel {
+    /**
+     * Logger
+     */
+    public static final org.apache.commons.logging.Log LOG = org.apache.commons.logging.LogFactory
+	    .getLog(ThumbnailCategoryPanel.class);
+    /**
+     * L'id de la catégorie pour laquelle les miniatures doivent être affichées
+     */
+    private Integer categoryId;
+
+    /**
+     * Constructeur
+     * @param categoryId l'id de la catégorie
+     */
+    public ThumbnailCategoryPanel(Integer categoryId) {
+	this.categoryId = categoryId;
+	this.setLayout(new FlowLayout());
+	this.setPreferredSize(new Dimension(1000, 750));
+	if (categoryId != null) {
+	    rafraichir(categoryId, false);
+	}
+	//gestion du drag'n drop
+	new FileDrop(System.out, this, new FileDrop.Listener() {
+	    public void filesDropped(final java.io.File[] files) {
+		for (int i = 0; i < files.length; i++) {
+		    try {
+			ImageService.getInstance().creer(files[i].getCanonicalPath(), getCategoryId());
+			//on rafraichit
+			rafraichir(getCategoryId(), true);
+		    } catch (Exception e) {
+			LOG.error(Outil.getStackTrace(e));
+			//s'il y a une erreur lors de l'envoi
+			JOptionPane.showMessageDialog(null, Messages.getMessage("sendingError") + files[i].getName(),
+				Messages.getMessage("error"), JOptionPane.ERROR_MESSAGE);
+		    }
+		}
+
+	    }
+	});
+
+    }
+
+    /**
+     * rafraichissement, afin d'afficher les nouvelles images
+     * @param categoryId
+     */
+    public void rafraichir(Integer categoryId, boolean rafraichir) {
+	this.categoryId = categoryId;
+	this.removeAll();
+	try {
+	    ImagesManagement.LIST_IMAGE = ImageService.getInstance().listerParCategory(categoryId, rafraichir);
+	    for (Image image : ImagesManagement.LIST_IMAGE) {
+		try {
+		    //		    MiniatureLabel label = new MiniatureLabel(image, this);
+		    ThumbnailPanel panel = new ThumbnailPanel(image);
+		    this.add(panel);
+		} catch (Exception e) {
+
+		}
+	    }
+	    this.repaint();
+	    this.revalidate();
+	} catch (Exception e) {
+	    LOG.error(Outil.getStackTrace(e));
+	    JOptionPane.showMessageDialog(null, Messages.getMessage("imagesListingError"),
+		    Messages.getMessage("error"), JOptionPane.ERROR_MESSAGE);
+	}
+    }
+
+    /**
+     * @return the categoryId
+     */
+    public Integer getCategoryId() {
+	return categoryId;
+    }
+
+    /**
+     * @param categoryId the categoryId to set
+     */
+    public void setCategoryId(Integer categoryId) {
+	this.categoryId = categoryId;
+    }
+
+}
Index: extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailPanel.java
===================================================================
--- extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailPanel.java	(revision 6831)
+++ extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailPanel.java	(revision 6831)
@@ -0,0 +1,120 @@
+package fr.mael.jiwigo.ui.mainframe;
+
+import java.awt.Cursor;
+import java.awt.Dimension;
+import java.awt.Graphics;
+import java.awt.Graphics2D;
+import java.awt.RenderingHints;
+import java.awt.event.MouseEvent;
+import java.awt.event.MouseListener;
+
+import javax.swing.JLabel;
+
+import fr.mael.jiwigo.om.Image;
+import fr.mael.jiwigo.ui.ImagesManagement;
+import fr.mael.jiwigo.ui.browser.BrowserFrame;
+
+/**
+   Copyright (c) 2010, Mael
+   All rights reserved.
+
+   Redistribution and use in source and binary forms, with or without
+   modification, are permitted provided that the following conditions are met:
+    * Redistributions of source code must retain the above copyright
+      notice, this list of conditions and the following disclaimer.
+    * Redistributions in binary form must reproduce the above copyright
+      notice, this list of conditions and the following disclaimer in the
+      documentation and/or other materials provided with the distribution.
+    * Neither the name of jiwigo nor the
+      names of its contributors may be used to endorse or promote products
+      derived from this software without specific prior written permission.
+
+   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
+   ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+   WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+   DISCLAIMED. IN NO EVENT SHALL Mael BE LIABLE FOR ANY
+   DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+   (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+   LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+   ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+   (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+   SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+   
+ * @author mael
+ * Panel contenant la miniature d'une image.
+ * C'est un panel "cliquable", qui permet d'afficher l'image à taille réelle
+ */
+public class ThumbnailPanel extends JLabel implements MouseListener {
+    /**
+     * Logger
+     */
+    public static final org.apache.commons.logging.Log LOG = org.apache.commons.logging.LogFactory
+	    .getLog(ThumbnailPanel.class);
+    /**
+     * l'image
+     */
+    private Image image;
+
+    /**
+     * Constructeur
+     * @param image l'image
+     * @param imagesPanel le panel
+     */
+    public ThumbnailPanel(Image image) {
+	this.image = image;
+	this.addMouseListener(this);
+    }
+
+    protected void paintComponent(Graphics g) {
+	super.paintComponent(g);
+	Graphics2D g2 = (Graphics2D) g;
+	g2.setRenderingHint(RenderingHints.KEY_INTERPOLATION, RenderingHints.VALUE_INTERPOLATION_BICUBIC);
+	double x = (getWidth() * ImagesManagement.getMiniatureBufferedImage(image).getWidth()) / 2;
+	double y = (getHeight() * ImagesManagement.getMiniatureBufferedImage(image).getHeight()) / 2;
+	g2.drawRenderedImage(ImagesManagement.getMiniatureBufferedImage(image), null);
+    }
+
+    /* (non-Javadoc)
+     * @see javax.swing.JComponent#getPreferredSize()
+     */
+    public Dimension getPreferredSize() {
+	int w = (int) (ImagesManagement.getMiniatureBufferedImage(image).getWidth());
+	int h = (int) (ImagesManagement.getMiniatureBufferedImage(image).getHeight());
+	return new Dimension(w, h);
+    }
+
+    @Override
+    public void mouseClicked(MouseEvent paramMouseEvent) {
+	// on affiche l'image en grand
+	ImagesManagement.setCurrentImage(image);
+	try {
+	    new BrowserFrame(image);
+	} catch (Exception e) {
+
+	}
+
+    }
+
+    @Override
+    public void mouseEntered(MouseEvent paramMouseEvent) {
+	//changement du curseur, pour signifier à l'utilisateur que l'image est cliquable
+	this.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
+    }
+
+    @Override
+    public void mouseExited(MouseEvent paramMouseEvent) {
+    }
+
+    @Override
+    public void mousePressed(MouseEvent paramMouseEvent) {
+	// TODO Auto-generated method stub
+
+    }
+
+    @Override
+    public void mouseReleased(MouseEvent paramMouseEvent) {
+	// TODO Auto-generated method stub
+
+    }
+
+}
